Bug 1077148 - rpmbuild creates empty debuginfo when %_topdir ends with '/'
rpmbuild creates empty debuginfo when %_topdir ends with '/'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-17 06:54 EDT by Michal Hlavinka
Modified: 2014-10-03 23:26 EDT (History)
5 users (show)

See Also:
Fixed In Version: rpm-4.11.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-25 08:13:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Hlavinka 2014-03-17 06:54:54 EDT
Description of problem:
When used
--define "%_toppdir <some_path>"
where <some_path> ends with '/', resulting debuginfo package does not contain any source file.

Version-Release number of selected component (if applicable):
rpm-4.11.2-2.fc20.x86_64

How reproducible:
always

Steps to Reproduce:
1. fedpkg mpage #or any other package, this one compiles almost instantly
2. mkdir -p rpmbuild/{BUILD,SPECS,SOURCES,RPMS}
3. fedpkg sources
4. cp *patch *tgz rpmbuild/SOURCES/
5. rpmbuild -ba "--define=%_topdir $(pwd)/rpmbuild/" *.spec

Actual results:
*-debuginfo pakcage contains *no* source files

Expected results:
*-debuginfo package with source files


Additional info:
does not work:
rpmbuild -ba "--define=%_topdir $(pwd)/rpmbuild/" *.spec
works fine:
rpmbuild -ba "--define=%_topdir $(pwd)/rpmbuild" *.spec
Comment 1 Panu Matilainen 2014-03-25 08:13:14 EDT
Fixed upstream now:
http://rpm.org/gitweb?p=rpm.git;a=commitdiff;h=91456b1bb8e93deef683a9c40b1fe7f1de3da99e

Doesn't seem worth specifically tracking for Fedora, it'll land here through updates sooner or later. Thanks for reporting though.
Comment 2 Fedora Update System 2014-09-08 02:56:23 EDT
rpm-4.11.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rpm-4.11.3-1.fc20
Comment 3 Fedora Update System 2014-09-16 03:49:54 EDT
rpm-4.11.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rpm-4.11.3-1.fc19
Comment 4 Fedora Update System 2014-09-19 05:58:37 EDT
rpm-4.11.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2014-10-03 23:26:56 EDT
rpm-4.11.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.